LIGHT_CORRECT(1)

NAME
light_correct - correct illumination errors on set of images

SYNOPSIS
light_correct grey image1 image2 image3 ...

DESCRIPTION
The first argument should be an image of a piece of grey card, subsequent arguments should be images taken with the same lighting set-up which need correcting. The corrected images are written to files prefixed with "ic_". For example, suppose you have a directory with the following files in:
  example% ls
  dat1.1.v dat1.2.v dat2.1.v dat2.2.v dat3.1.v dat3.2.v
  dat4.1.v dat4.2.v grey.v then run light_correct like this:
  example% light_correct grey.v dat*.v to generate this:
  example% ls
  dat1.1.v dat1.2.v dat2.1.v dat2.2.v dat3.1.v dat3.2.v
  dat4.1.v dat4.2.v grey.v
  ic_dat1.1.v ic_dat1.2.v ic_dat2.1.v ic_dat2.2.v ic_dat3.1.v
  ic_dat3.2.v ic_dat4.1.v ic_dat4.2.v light_correct works by smoothing out the grey card image, finding grey-mean/pixel for each point, and then multiplying the result by all the following images. It also removes any .desc files it generates, to avoid problems with im_global_balance(3).

RETURN VALUE
returns 0 on success and non-zero on error.

SEE ALSO
vipsheader(1), vips(1)

COPYRIGHT
The National Gallery and Birkbeck College, 1989-1996.